When initializing the ioctl interface, always print the info message, instead
of only when devfs is not present.  [Kevin Corry]

--- diff/drivers/md/dm-ioctl.c	2003-02-13 10:42:40.000000000 +0000
+++ source/drivers/md/dm-ioctl.c	2003-02-13 10:42:45.000000000 +0000
@@ -1123,7 +1123,7 @@
 	r = devfs_generate_path(_dm_misc.devfs_handle, rname + 3,
 				sizeof rname - 3);
 	if (r == -ENOSYS)
-		return 0;	/* devfs not present */
+		goto done;	/* devfs not present */
 
 	if (r < 0) {
 		DMERR("devfs_generate_path failed for control device");
@@ -1139,6 +1139,7 @@
 	}
 	devfs_auto_unregister(_dm_misc.devfs_handle, _ctl_handle);
 
+      done:
 	DMINFO("%d.%d.%d%s initialised: %s", DM_VERSION_MAJOR,
 	       DM_VERSION_MINOR, DM_VERSION_PATCHLEVEL, DM_VERSION_EXTRA,
 	       DM_DRIVER_EMAIL);
